/* $Header: /belch_a/users/rearl/tinymuck/include/RCS/config.h,v 1.11 90/09/18 08:05:23 rearl Exp $
 * 
 * $Log:	config.h,v $
 * Revision 1.11  90/09/18  08:05:23  rearl
 * Switched to most popular values for #defines.
 * 
 * Revision 1.10  90/09/15  22:33:11  rearl
 * General cleanup, added SHOWINTPROP.
 * 
 * Revision 1.9  90/09/13  06:33:01  rearl
 * Added NOCOREDUMP options, actually core dumping was added to game.c.
 * 
 * Revision 1.8  90/09/10  02:24:32  rearl
 * Changed NL line termination to CR/LF pairs.
 * 
 * Revision 1.7  90/08/27  14:03:42  rearl
 * Changed LIBRARYFILE -> MACRO_FILE.
 * 
 * Revision 1.6  90/08/15  03:50:19  rearl
 * Took out some outdated #defines, testing COMPRESS with programs.
 * 
 * Revision 1.5  90/08/02  18:52:24  rearl
 * Changed some log filenames.
 * 
 * Revision 1.4  90/07/29  17:16:25  rearl
 * Changed defines to agree with the MIPS.
 * 
 * Revision 1.3  90/07/20  23:29:55  casie
 * Added defines for poor souls with Apollo's
 * 
 * Revision 1.2  90/07/19  23:03:54  casie
 * Cleaned up comments.
 * 
 * 
 */

#include "copyright.h"

/* Tunable parameters -- Edit to you heart's content */

/* Machine type */

/* We have a MIPS machine (DECStations) */
#undef	MIPS

/* We have a compatible BSD 4.2 machine */
#undef	BSD42

/* We have a compatable BSD 4.3 machine */
#define BSD43

/* We have an Apollo machine */
#undef	APOLLO

/* Default values for program */

/* Adds ABODE to LINK_OK.  Rooms that are ABODE may be used as HOME
 * for players and their belongings.
 */
#define	ABODE

/* Use to compress string data */
#define	COMPRESS

/* Allow MUF programs to create objects	*/
#define	COPYOBJ

/*
 *
 * Use this only if your realloc does not allocate in powers of 2
 * (if your realloc is clever, this option will cause you to waste space).
 *
 */
#define DB_DOUBLING

/* Players cannot be killed in rooms set HAVEN.
 * Players who are set HAVEN cannot be paged.
 */
#define	HAVEN

/* Use gethostbyaddr() for hostnames in logs and the wizard WHO list. */
#define HOSTNAMES

/*
 * Makes God (Player #1) immune to @force, @newpassword, and
 * being set !Wizard.
 */
#define	GOD_PRIV

/* To enable logging of all commands */
#define	LOG_COMMANDS

/* Log failed commands ( HUH'S ) to status log */
#undef LOG_FAILED_COMMANDS

/* Allow everyone to be a MUCKER */
#undef	MUCKER_ALL

/* Prevent Many Fine Cores. */
#undef NOCOREDUMP

/* Allow players to use @chown, this also adds the */
/* CHOWN_OK flag to set an object to be @chownable */
#define	PLAYER_CHOWN

/*
 *
 * To have a private MUCK, this restricts player
 * creation to Wizards (or with GOD_PRIV, player #1)
 * using the @pcreate command
 *
 */
#undef	REGISTRATION

/* Restrict building to users with BUILDER bit */
#undef	RESTRICTED_BUILDING

/* Allow recycling with @recycle command */
#define	RECYCLE

/* Lets examine show integer properties on objects */
#undef SHOWINTPROP

/* Allow a player to use teleport-to-player  */
/* destinations for exits */
#define	TELEPORT_TO_PLAYER

/* To use vfork() instead of fork()  */
#undef	USE_VFORK

/* Make the `examine' command display full names */
/* for types and flags */
#define	VERBOSE_EXAMINE

/* limit on player name length */
#define PLAYER_NAME_LIMIT 16


/* Various messages */

#define DEFAULT_WELCOME_MESSAGE "Welcome to TinyMUCK.\r\nTo connect to your existing character, enter \"connect name password\"\r\nTo create a new character, enter \"create name password\"\r\nIMPORTANT! Use the news command to get up-to-date news on program changes.\r\n\r\nYou can disconnect using the QUIT command, which must be capitalized as shown.\r\n\r\nAbusing or harrassing other players will result in expellation.\r\nUse the WHO command to find out who is currently active.\r\n"

#ifdef REGISTRATION
# define REG_MSG "Sorry, but registration is in force.\r\nPlease contact a Wizard to create a character.\r\n"
#endif /*REGISTRATION*/

#define LEAVE_MESSAGE "\r\nGoodbye!\r\n"

/* Location of files used by tinymuck */

#define WELC_FILE "data/welcome.txt" /* For the opening screen */
#define HELP_FILE "data/help.txt"    /* For the 'help' command	*/
#define NEWS_FILE "data/news.txt"    /* For the 'news' command	*/
#define MAN_FILE  "data/forth.ref"   /* For the 'man' command	*/
#define EDITOR_HELP_FILE "data/edit-help.txt" /* editor help file */

#define LOG_GRIPE   "logs/gripes"       /* Gripes Log */
#define LOG_STATUS  "logs/status"       /* System errors and stats */
#define LOG_CONC    "logs/concentrator" /* Concentrator errors and stats */
#define LOG_MUF     "logs/muf-errors"   /* Muf compiler errors and warnings. */
#define COMMAND_LOG "logs/commands"     /* Player commands */

#define MACRO_FILE "muf/macros"

#ifdef LOCKOUT
# define LOCKOUT_FILE "data/lockout.txt"
#endif /* LOCKOUT */

#ifdef DETACH
# define LOG_FILE "TinyMUCK.log"
#endif DETACH


/*
 * Ports where tinymuck lives -- Note: If you use a port lower than
 * 1024, then the program *must* run suid to root!
 *
 */

#define TINYPORT 4201		/* Port that tinymuck uses for playing */

#define INTERNAL_PORT 4202	/* Port for internal use */

